Bug 1140303 - [abrt] control-center: gtk_widget_verify_invariants(): gnome-control-center killed by SIGSEGV
Summary: [abrt] control-center: gtk_widget_verify_invariants(): gnome-control-center k...
Keywords:
Status: CLOSED DUPLICATE of bug 1121294
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:47d214b4c183a88d37202581f22...
Depends On:
Blocks: F21FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2014-09-10 16:22 UTC by Jeremy Rimpo
Modified: 2014-10-15 14:58 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-15 14:58:12 UTC


Attachments (Terms of Use)
File: backtrace (66.91 KB, text/plain)
2014-09-10 16:22 UTC, Jeremy Rimpo
no flags Details
File: cgroup (190 bytes, text/plain)
2014-09-10 16:22 UTC, Jeremy Rimpo
no flags Details
File: core_backtrace (49.73 KB, text/plain)
2014-09-10 16:22 UTC, Jeremy Rimpo
no flags Details
File: dso_list (33.37 KB, text/plain)
2014-09-10 16:22 UTC, Jeremy Rimpo
no flags Details
File: environ (2.36 KB, text/plain)
2014-09-10 16:22 UTC, Jeremy Rimpo
no flags Details
File: exploitable (82 bytes, text/plain)
2014-09-10 16:22 UTC, Jeremy Rimpo
no flags Details
File: limits (1.29 KB, text/plain)
2014-09-10 16:22 UTC, Jeremy Rimpo
no flags Details
File: maps (154.47 KB, text/plain)
2014-09-10 16:22 UTC, Jeremy Rimpo
no flags Details
File: open_fds (2.93 KB, text/plain)
2014-09-10 16:22 UTC, Jeremy Rimpo
no flags Details
File: proc_pid_status (967 bytes, text/plain)
2014-09-10 16:22 UTC, Jeremy Rimpo
no flags Details
File: var_log_messages (2.68 KB, text/plain)
2014-09-10 16:22 UTC, Jeremy Rimpo
no flags Details

Description Jeremy Rimpo 2014-09-10 16:22:20 UTC
Description of problem:
Open gnome settings
Go to Users
Select user image to change it
Select "Take a photo..."
Take the photo
Crash

(Similar to #1121294, but new error.)

Version-Release number of selected component:
control-center-3.13.91-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: gtk_widget_verify_invariants
executable:     /usr/bin/gnome-control-center
kernel:         3.16.2-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_verify_invariants at /lib64/libgtk-3.so.0
 #1 gtk_frame_forall at /lib64/libgtk-3.so.0
 #2 gtk_grid_forall at /lib64/libgtk-3.so.0
 #3 gtk_container_map at /lib64/libgtk-3.so.0
 #8 gtk_widget_map at /lib64/libgtk-3.so.0
 #9 gtk_widget_set_child_visible at /lib64/libgtk-3.so.0
 #10 gtk_notebook_real_switch_page at /lib64/libgtk-3.so.0
 #15 gtk_notebook_set_current_page at /lib64/libgtk-3.so.0
 #16 cheese_widget_photo_taken_cb at /lib64/libcheese-gtk.so.23
 #17 g_cclosure_marshal_VOID__OBJECTv at /lib64/libgobject-2.0.so.0

Comment 1 Jeremy Rimpo 2014-09-10 16:22:22 UTC
Created attachment 936234 [details]
File: backtrace

Comment 2 Jeremy Rimpo 2014-09-10 16:22:23 UTC
Created attachment 936235 [details]
File: cgroup

Comment 3 Jeremy Rimpo 2014-09-10 16:22:24 UTC
Created attachment 936236 [details]
File: core_backtrace

Comment 4 Jeremy Rimpo 2014-09-10 16:22:24 UTC
Created attachment 936237 [details]
File: dso_list

Comment 5 Jeremy Rimpo 2014-09-10 16:22:25 UTC
Created attachment 936238 [details]
File: environ

Comment 6 Jeremy Rimpo 2014-09-10 16:22:26 UTC
Created attachment 936239 [details]
File: exploitable

Comment 7 Jeremy Rimpo 2014-09-10 16:22:27 UTC
Created attachment 936240 [details]
File: limits

Comment 8 Jeremy Rimpo 2014-09-10 16:22:27 UTC
Created attachment 936241 [details]
File: maps

Comment 9 Jeremy Rimpo 2014-09-10 16:22:28 UTC
Created attachment 936242 [details]
File: open_fds

Comment 10 Jeremy Rimpo 2014-09-10 16:22:29 UTC
Created attachment 936243 [details]
File: proc_pid_status

Comment 11 Jeremy Rimpo 2014-09-10 16:22:29 UTC
Created attachment 936244 [details]
File: var_log_messages

Comment 12 Jeremy Rimpo 2014-09-10 16:34:54 UTC
Proposing as Fedora 21 Final Blocker per criteria "Default Application Functionality" - 

"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."

https://fedoraproject.org/wiki/Fedora_21_Final_Release_Criteria#Default_application_functionality

Comment 13 Matthias Clasen 2014-09-18 13:44:55 UTC
Is this repeatable, or was it a one-time occurrence ?

Comment 14 Jeremy Rimpo 2014-09-18 15:15:57 UTC
This is infinitely repeatable, for me. I have yet to take a successful photo through gnome-control-center. It crashes every time.

I get a video stream, but as soon as I take the photo and the screen flashes, the whole program segfaults out.

Comment 15 Jeremy Rimpo 2014-09-18 15:17:38 UTC
I've also made a new user account, just in case I had some faulty settings in my original account - but it does the same thing either way.

Comment 16 Jeremy Rimpo 2014-10-01 15:18:05 UTC
One piece of additional info, in case it helps track the problem...

I tried the control center of F20 - and it works without issue. However, I'm getting a very similar bug (though no ABRT alert yet) if I update to gnome 3.12 using the copr repo. As soon as the photo is 'taken' the control center crashes there as well.

Comment 17 Jeremy Rimpo 2014-10-01 15:24:49 UTC
I'm unable to test this at the moment on bare metal under F21. Some issues with the new kernel workaround for the microcode problem are making it very hard to have a reasonably stable F21 system installed. I get nouveau errors during boot (though it eventually starts - usually) and a usable optimus config seems to be a lost cause.

Comment 18 Ondrej Holy 2014-10-14 11:18:56 UTC
There is duplicated Bug 1150420 for cheese.

Comment 19 Ondrej Holy 2014-10-15 14:58:12 UTC

*** This bug has been marked as a duplicate of bug 1121294 ***


Note You need to log in before you can comment on or make changes to this bug.